/// <reference types="node" />
import { SerializedBundle, SerializedEnvelope } from './types/bundle';
import { GetPublicKeyFunc } from './verify';
export * as utils from './sigstore-utils';
export declare const DEFAULT_REKOR_BASE_URL = "https://rekor.sigstore.dev";
interface TLogOptions {
    rekorBaseURL?: string;
}
export type SignOptions = {
    fulcioBaseURL?: string;
    rekorBaseURL?: string;
    identityToken?: string;
    oidcIssuer?: string;
    oidcClientID?: string;
    oidcClientSecret?: string;
} & TLogOptions;
export type VerifierOptions = {
    getPublicKey?: GetPublicKeyFunc;
} & TLogOptions;
export type Bundle = SerializedBundle;
export type Envelope = SerializedEnvelope;
export declare function sign(payload: Buffer, options?: SignOptions): Promise<Bundle>;
export declare function signAttestation(payload: Buffer, payloadType: string, options?: SignOptions): Promise<Bundle>;
export declare function verify(bundle: Bundle, data?: Buffer, options?: VerifierOptions): Promise<void>;
