import { ASN1Obj } from './asn1/obj';
declare class x509Extension {
    protected root: ASN1Obj;
    constructor(asn1: ASN1Obj);
    get oid(): string;
    get critical(): boolean;
    protected get extnValueObj(): ASN1Obj;
}
export declare class x509BasicConstraintsExtension extends x509Extension {
    constructor(asn1: ASN1Obj);
    get isCA(): boolean;
    get pathLenConstraint(): bigint | undefined;
    private get sequence();
}
export declare class x509KeyUsageExtension extends x509Extension {
    constructor(asn1: ASN1Obj);
    get digitalSignature(): boolean;
    get keyCertSign(): boolean;
    get crlSign(): boolean;
    private get bitString();
}
export declare class x509SCTExtension extends x509Extension {
    constructor(asn1: ASN1Obj);
}
export {};
